using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] ulaz=Console.ReadLine().Split();
            Int64 n = Convert.ToInt64(ulaz[0]);
            Int64 l = Convert.ToInt64(ulaz[1]);
            ulaz= Console.ReadLine().Split();
            bool gas = true;
            for (int i = 0; i < n; i++)
            {   
                if (Convert.ToInt64(ulaz[i])<= l) {Console.WriteLine(i+1);gas=false;break;}
            }
            if (gas) {
                Console.WriteLine(-1);
            }
        }
    }
}